Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
QT und KDE-Libs vertragen sich nicht

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Software
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
Siggi
Gast





BeitragVerfasst am: 16. Sep 2002 1:46   Titel: QT und KDE-Libs vertragen sich nicht

System: Debian 3.0

Hab da ein Problem. Und zwar will ich das Programm Kpppoe installieren. Während des ausführens von ./configure meldet er mir:



checking for Qt... configure: error: Qt (>= Qt 3.0.2) (library qt-mt) not found.



Gut, ich installiere die 3er Version, allerdings muss ich die:

libqt3-dev
libqt3-mt-dev


nehmen, sonst kommt wieder obige Fehlermeldung. Die Crux an der Sache ist, das dabei leider "kdebase-dev", "kdelibs-dev" und einige andere wieder entfernt werden!

Wenn ich jetzt ./configure ausführe, findet er zwar QT, bringt aber dann diese Fehlermeldung:



checking for KDE... configure: error:
in the prefix, you've chosen, are no KDE headers installed. This will fail.
So, check this please and use another prefix!



Diese Fehlermeldung bekomme ich nur weg wenn ich "kdebase-dev" installiere, was wiederum zur folge hat, das mein QT-DEV entfernt wird!!!!!!

Hat jemand ne Idee was ich tun muss?
 

user1
Gast





BeitragVerfasst am: 16. Sep 2002 7:42   Titel: Re: QT und KDE-Libs vertragen sich nicht

Hallo

Welche KDE- Version hast du?

Könnte sein, dass das Packet kdebase-dev noch von der 2.2.2. Version ist und abhängig von QT 2 ist.

Installiere doch mal KDE 3.0.3 und QT 3.0.2 (altes kde muss alles weg).

Gruss user1
 

Siggi
Gast





BeitragVerfasst am: 16. Sep 2002 14:59   Titel: Re: QT und KDE-Libs vertragen sich nicht

Hallo,

ich habe noch das KDE 2.2. Also liegt es wohl an meiner veralteten KDE-Version. Deshalb dieser Fehler! Ich danke Dir vielmals für diese Information!

Auf KDE 3 will ich noch nicht umsteigen, da es noch nicht in der Stable von Debian vorhanden ist.

thx
 

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Software Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy